package ch.zhaw.gartenverwaltung;

import ch.zhaw.gartenverwaltung.types.HardinessZone;

public class Settings {
    private HardinessZone currentHardinessZone = HardinessZone.ZONE_8A;
    private static Settings instance;

    static {
        instance = new Settings();
    }

    public static Settings getInstance() {
        return Settings.instance;
    }

    private Settings() {}

    public HardinessZone getCurrentHardinessZone() {
        return currentHardinessZone;
    }

    public void setCurrentHardinessZone(HardinessZone currentHardinessZone) {
        this.currentHardinessZone = currentHardinessZone;
    }
}
